package gov.va.med.esr.common.rule;

import gov.va.med.fw.service.ServiceException;

/**
 * 
 * @author Rajiv Patnaik
 * Created on Mar 20, 2006
 * @version 1.0
 * 
 * Copyright © 2006 VHA. All rights reserved
 */
public interface SSNVerificationResponseInput extends BaseInput
{

    public boolean isHECIdMatched() throws  ServiceException;

	public boolean isSSNVerificationForSpouseOrDependent() throws ServiceException;
    
    public String getVerificationCode();
    
	public void setVerificationStatus(String statusCode) throws ServiceException;
	
	public void addToSSNVerificationQueue() throws ServiceException;
	
	public void setSSAMessage(String ssaMessageCode) throws ServiceException; 
	
	public void updateSSNVerificationResult() throws ServiceException;	
    
    public boolean isIdentityTraitsChanged () throws ServiceException;  
	
}
